Skip to main content

PUT /api/v1/internal/projects/:projectUuid/apps/:appUuid/emails/:appEmailUuid

Modifies an existing emails resource.

This endpoint documentation is generated from the current Fastify route implementation and should be treated as the implementation-level contract for this version of the API.

Source route file: src/api/routes/internal/private/bearer/projects/apps/emails/put.ts

Request Method​

PUT

Base URL​

https://api.userdocks.local:5000

Endpoint​

/api/v1/internal/projects/:projectUuid/apps/:appUuid/emails/:appEmailUuid

Path Variables​

VariableTypeRequiredDescription
projectUuidstringtruePath variable from route pattern.
appUuidstringtruePath variable from route pattern.
appEmailUuidstringtruePath variable from route pattern.

Query Parameters​

No query parameters.

HTTP Headers​

VariableTypeRequiredDescription
AuthorizationstringtrueBearer token in the form Bearer <jwt>.
Content-TypestringtrueUse application/json for JSON request bodies.

Request Body​

Schema reference: updateAppEmailSchema

{
"subject": "Updated subject",
"body": "Updated plain text body",
"htmlBody": "<p>Updated html body</p>"
}

Successful Response​

Success status code(s): 200.

{
"kind": "appEmails",
"totalItems": 1,
"itemsLength": 1,
"items": [
{
"uuid": "bee9e8a1-6666-4a2d-9f1a-666666666666",
"subject": "Welcome",
"html": "<p>Welcome</p>",
"language": {
"uuid": "lang-en",
"name": "English",
"isoCode": "en"
},
"type": {
"uuid": "email-confirm",
"name": "confirm-email"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
]
}

Error Responses​

HTTP StatusExample Error
401{"errors":[{"validation":"error","code":"[E4010]","message":"Unauthorized Token"}]}
403{"errors":[{"validation":"error","code":"[E4030]","message":"App Is Disabled"}]}
400{"errors":[{"validation":"error","code":"[E4000]","message":"Bad Request / validation error"}]}
500{"errors":[{"validation":"error","code":"[E0000]","message":"Internal Server Error"}]}

Example​

const url = `https://api.userdocks.local:5000/api/v1/internal/projects/projectUuid-value/apps/appUuid-value/emails/user@example.com`;

const response = await fetch(url, {
method: 'PUT',
headers: {
Authorization: 'Bearer <jwt>',
'Content-Type': 'application/json',
},
body: '{"subject":"Updated subject","body":"Updated plain text body","htmlBody":"<p>Updated html body</p>"}',
});
const data = await response.json();
console.log(response.status, data);